local saltTrader = ...

-- Register an addition neighbour to trade with. 
saltTrader:register({
	DataType = "TRADING_VILLAGE",
	Id = "VILLAGE_NANTES",

	VillageName = "Nantes",
	--RESOURCE QUANTITY PAIR
	UnlockCost = { 
		{ Resource = "GOLD", Quantity = 1500 }
	},
	
	--BUYING RESOURCE TRADING INFO
	BuyingResourceList = { 
		{
			ResourceMaxAmount = { Resource = "HONEY", Quantity = 30 },
			UnitPrice = { Resource = "GOLD", Quantity = 20 }
		},
		{
			ResourceMaxAmount = { Resource = "HERBS", Quantity = 30 },
			UnitPrice = { Resource = "GOLD", Quantity = 15 }
		}
	},
	
	--SELLING RESOURCE TRADING INFO
	SellingResourceList = {
		{
			ResourceMaxAmount = { Resource = "SALT", Quantity = 25 },
			UnitPrice = { Resource = "GOLD", Quantity = 15 },
		}	},
	
	Allegeance = "LABOUR"
})

-- Override default village list
saltTrader:override({
	Id = "VILLAGE_LIST_DEFAULT",
	TradingVillageList = {
		Action = "APPEND",
		"VILLAGE_NANTES"
	}
})